# date prefix copy (dpc)

![screenshot](https://code.rosaelefanten.org/dateprefixcopy/raw/b9b7ed6228e08a949354c489116c74b3ad3722508f3054f3047963b08b871c17?m=image/png)

## what it does

drag `file.docx` into its main window and you will get a copy named `240618_file.docx`. drag multiple files and you will get multiple copies.

### why it does that

there are companies (and people) which (and who) use `yymmdd_filename` as some kind of version control. dpc makes it easier.

### but there are other ways to do that

yes, but all these solutions require at least two keystrokes. dpc requires zero.

## how to quit

focus the window. press esc.

### prebuilt exe

[here](https://cdn.tuxproject.de/projects/dateprefixcopy/)

## how to build

* install windows. no discussion.
* install [sbcl](http://sbcl.org/) and [quicklisp](https://www.quicklisp.org/beta/#installation).
* fetch [ftw](https://github.com/fjames86/ftw) (required for the gui) and [clinicap](https://github.com/turtle-bazon/clinicap) (required for the configuration) with a git client of your choice, e.g. `git`:

```sh
cd ~/quicklisp/local-projects
git clone https://github.com/fjames86/ftw
git clone https://github.com/turtle-bazon/clinicap
```

* [download](https://code.rosaelefanten.org/dateprefixcopy/zip/dateprefixcopy.zip) this repository.
* load and build, e.g. from the powershell:

```sh
sbcl --noinform --load .\dateprefixcopy.asd --eval '(ql:quickload :dateprefixcopy)' --eval '(sb-ext:save-lisp-and-die "dpc.exe" :application-type :gui :toplevel #''dateprefixcopy:main :executable t)'
```

* wait and see.

## caution

dpc **WILL** skip files without asking if their designated sibling already exists. no refunds.
